Bug 46816 - /status/all fails if using PersistentManager
/status/all fails if using PersistentManager
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Manager application
6.0.18
PC Windows XP
: P2 normal (vote)
: default
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2009-03-06 10:49 UTC by Eric Abbott
Modified: 2014-02-17 13:41 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Abbott 2009-03-06 10:49:44 UTC
conf/context.xml
<?xml version='1.0' encoding='utf-8'?>
<Context reloadable="false" swallowOutput="false"
     cacheMaxSize="10240" cachingAllowed="true" cacheTTL="1800000" >
  <Manager className="org.apache.catalina.session.PersistentManager" 
           saveOnRestart="false">
  </Manager>
</Context>


javax.management.AttributeNotFoundException:  Cannot find attribute sessionMaxAliveTime for org.apache.catalina.session.PersistentManager@d3ade7
	org.apache.tomcat.util.modeler.ManagedBean.getGetter(ManagedBean.java:490)
	org.apache.tomcat.util.modeler.BaseModelMBean.getAttribute(BaseModelMBean.java:180)
	com.sun.jmx.interceptor.DefaultMBeanServerInterceptor.getAttribute(DefaultMBeanServerInterceptor.java:666)
	com.sun.jmx.mbeanserver.JmxMBeanServer.getAttribute(JmxMBeanServer.java:638)
	org.apache.catalina.manager.StatusTransformer.writeManager(StatusTransformer.java:717)
	org.apache.catalina.manager.StatusTransformer.writeContext(StatusTransformer.java:669)
	org.apache.catalina.manager.StatusTransformer.writeDetailedState(StatusTransformer.java:594)
	org.apache.catalina.manager.StatusManagerServlet.doGet(StatusManagerServlet.java:299)
	javax.servlet.http.HttpServlet.service(HttpServlet.java:617)
	javax.servlet.http.HttpServlet.service(HttpServlet.java:717)
Comment 1 Mark Thomas 2009-03-07 08:56:44 UTC
The getter was missing in the mbean descriptor.

I have added it in trunk and proposed the change for 6.0.x
Comment 2 Mark Thomas 2009-03-25 02:48:03 UTC
This has been fixed for 6.0.x and will be included in 6.0.20 onwards.
Comment 3 olivier dupuy 2009-04-14 12:14:41 UTC
See the apparently related bug 47032 on Tomcat 5.5.23

https://issues.apache.org/bugzilla/show_bug.cgi?id=47032